%define name gnomenetselect
%define version 0.6
%define release %mkrel 9

Summary: Enhanced Mozilla launch button for the GNOME panel
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPLv2+
Group: Graphical desktop/GNOME
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://gnomenetselect.sourceforge.net/
BuildRequires: libpanel-applet-devel
BuildRequires: libglade2.0-devel
BuildRequires: scrollkeeper
BuildRequires: libxmu-devel
Requires: webclient
Requires(post)  : scrollkeeper >= 0.3
Requires(postun): scrollkeeper >= 0.3


%description
Gnome NetSelect gives you a button for launching a web browser, and
jumping to URL or search results.

Gnome NetSelect can use the currently highlighted text. Just highlight
some text in any application and then click on the applet to jump to
the highlighted URL, or perform a search using the highlighted text.

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std
%find_lang gnome-netselect --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-netselect.schemas > /dev/null
if [ -x %_bindir/scrollkeeper-update ]; then %_bindir/scrollkeeper-update -q || true ; fi

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-netselect.schemas > /dev/null
fi

%postun
if [ -x %_bindir/scrollkeeper-update ]; then %_bindir/scrollkeeper-update -q || true ; fi


%files -f gnome-netselect.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%_sysconfdir/gconf/schemas/gnome-netselect.schemas
%_bindir/gnome-netselect
%_libdir/bonobo/servers/Gnome_NetSelect_Factory.server
%_datadir/gnome-2.0/ui/gnome-netselect.xml
%_datadir/gnome-netselect/
%_datadir/pixmaps/gnome-netselect/
%dir %_datadir/omf/gnome-netselect
%_datadir/omf/gnome-netselect/gnome-netselect-C.omf


%changelog
* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 0.6-9mdv2009.0
+ Revision: 264184
- update build deps
- update license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - fix spacing at top of description
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sun Aug 05 2007 Götz Waschk <waschk@mandriva.org> 0.6-8mdv2008.0
+ Revision: 59173
- Import gnomenetselect



* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 0.6-1mdv2007.0
- reuild for new dbus

* Wed Jun  7 2006 Gtz Waschk <waschk@mandriva.org> 0.6-7mdv2007.0
- fix buildrequires

* Thu Apr  6 2006 Gtz Waschk <waschk@mandriva.org> 0.6-6mdk
- spec fixes

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 0.6-5mdk
- rebuild for new openssl

* Tue Oct 04 2005 Götz Waschk <waschk@mandriva.org> 0.6-4mdk
- Rebuild

* Fri Oct  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.6-3mdk
- rebuild

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-2mdk
- fix buildrequires

* Mon Sep 22 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- initial package
